Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHTxChannel

    java.lang.Object
      java.lang.Thread
          com.mindbright.ssh.SSHChannel
              com.mindbright.ssh.SSHTxChannel

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SSHConnectChannel

public class SSHTxChannel
extends SSHChannel

Field Summary
`protected java.io.OutputStream` | `out`
`protected Queue` | `queue`

Fields inherited from class com.mindbright.ssh.SSHChannel
`channelId, listener`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SSHTxChannel(java.io.OutputStream out, int channelId)`

Method Summary
`Queue` | `getQueue()`
`boolean` | `isClosePending()`
`void` | `serviceLoop()`
`void` | `setClosePending()`

Methods inherited from class com.mindbright.ssh.SSHChannel
`close, getChannelId, run, setSSHChannelListener`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### out

    protected java.io.OutputStream out

### queue

    protected Queue queue

Constructor Detail

### SSHTxChannel

    public SSHTxChannel(java.io.OutputStream out,
                        int channelId)

Method Detail

### getQueue

    public Queue getQueue()

### setClosePending

    public void setClosePending()

### isClosePending

    public boolean isClosePending()

### serviceLoop

    public void serviceLoop()
                     throws java.lang.Exception

  Specified by:
    `serviceLoop` in class `SSHChannel`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD